/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.project.entity.Workprojectgroup;
import com.jeeplus.modules.project.dao.WorkprojectgroupDao;

/**
 * 项目组信息表Service
 * @author yangfan
 * @version 2017-10-11
 */
@Service
@Transactional(readOnly = true)
public class WorkprojectgroupService extends CrudService<WorkprojectgroupDao, Workprojectgroup> {

	public Workprojectgroup get(String id) {
		return super.get(id);
	}
	
	public List<Workprojectgroup> findList(Workprojectgroup workprojectgroup) {
		return super.findList(workprojectgroup);
	}
	
	public Page<Workprojectgroup> findPage(Page<Workprojectgroup> page, Workprojectgroup workprojectgroup) {
		return super.findPage(page, workprojectgroup);
	}
	
	@Transactional(readOnly = false)
	public void save(Workprojectgroup workprojectgroup) {
		super.save(workprojectgroup);
	}
	
	@Transactional(readOnly = false)
	public void delete(Workprojectgroup workprojectgroup) {
		super.delete(workprojectgroup);
	}
	
	
	
	
}